using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Tutorial_9;

namespace Tutorial_9_Tests
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void SedanNoDiscountTest()
        {
            Sedan sedan = new Sedan();
            Assert.AreEqual(0, sedan.PriceAfterDays(0));
            Assert.AreEqual(80, sedan.PriceAfterDays(1));
            Assert.AreEqual(320, sedan.PriceAfterDays(4));
        }

        [TestMethod]
        public void TestCarTest()
        {
            TestCar sedan = new TestCar();
            Assert.AreEqual(0, sedan.PriceAfterDays(0));
            Assert.AreEqual(0, sedan.PriceAfterDays(1));
            Assert.AreEqual(0, sedan.PriceAfterDays(4));
        }
    }
}
